%global     debug_package %{nil}

%define     target_pkg %(t=%{name}; echo ${t#lpf-})

Name:       lpf-openspades-data
Summary:    nonfree data for OpenSpades
Version:    0.1.3

Release:    1%{?dist}
License:    non-redistributable
URL:        http://openspades.yvt.jp/
BuildArch:  noarch

Source0:    openspades-data.spec.in

BuildRequires:  desktop-file-utils
BuildRequires:  lpf >= 0.1
Requires:       lpf >= 0.1

%description
Bootstrap package allowing the lpf system to build the non-redistributable
openspades-data package.

%prep
%setup -cT

%build

%install
/usr/share/lpf/scripts/lpf-setup-pkg %{buildroot} %{SOURCE0}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%check
%lpf_check %{SOURCE0}

%post
%lpf_post

%postun
%lpf_postun
%lpf_triggerpostun

%files
%{_datadir}/applications/%{name}.desktop
%{_datadir}/lpf/packages/%{target_pkg}
%attr(775,pkg-build,pkg-build) /var/lib/lpf/packages/%{target_pkg}

%changelog
* Sat Mar 26 2022 Jan Drögehoff <sentrycraft123@gmail.com> - 0.1.3-1
- move data installation to lpf package


